{ stdenv, fetchurl
, boost
, bzip2
, cmake
, expat
, geos
, lua
, postgresql
, proj
, zlib
}

stdenv.mkDerivation rec {
  #version = "0.87.1";
  version = "0.90.1";
  name = "osm2pgsql-${version}-0";

  src = fetchurl {
    url = "https://github.com/openstreetmap/osm2pgsql/archive/${version}.tar.gz";
    sha256 = "0i0zg8di8nbh96qnyyr156ikwcsq1w9b2291bazm5whb351flmqx";
    };

    #nativeBuildInputs = [ ];
    buildInputs = [ ];

    #preConfigure = ''
    '';
    #buildPhase = ''jam "-j$NIX_BUILD_CORES" '';
    #installPhase = ''
    #'';

    meta = with stdenv.lib; {
      homepage = http://wiki.openstreetmap.org/wiki/Osm2pgsql;
      description = "osm2pgsql is a tool for loading OpenStreetMap data into a PostgreSQL / PostGIS database suitable for applications like rendering into a map, geocoding with Nominatim, or general analysis.";
      license = licenses.gpl2;
      #maintainers = [ maintainers.phunehehe ];
      maintainers = [ maintainers.jpierre03 ];
    };
  }

