{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.virtualbox {

  # Paquets
  environment.systemPackages = with pkgs; [
    linuxPackages.virtualbox
    linuxPackages.virtualboxGuestAdditions
  ];

  virtualisation.virtualbox.host.enable = true;
}
